#
# Table structure for table `comments`
#

CREATE TABLE comments (
  commentID int(11) NOT NULL auto_increment,
  subjectID int(11) NOT NULL default '0',
  subjectType enum('h','p','s','u') NOT NULL default 'h',
  commentDate date default NULL,
  commentText text NOT NULL,
  commentOrder smallint(6) NOT NULL default '0',
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (commentID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `hardware`
#

CREATE TABLE hardware (
  pk_asset int(11) NOT NULL auto_increment,
  type int(11) NOT NULL,
  serial_num varchar(255) NOT NULL default '',
  userID int(11) NOT NULL default '0',
  sparePart enum('2','1','0') NOT NULL default '0',
  hardwareStatus enum('n','i','w') NOT NULL default 'w',
  ipAddress varchar(15) default NULL,
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (pk_asset)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `hw_types`
#

CREATE TABLE hw_types (
  type_pk int(11) NOT NULL auto_increment,
  type_desc varchar(40) NOT NULL default '',
  HD varchar(40) default NULL,
  graphics varchar(40) default NULL,
  cd_dvd varchar(40) default NULL,
  removable varchar(40) default NULL,
  soundcard varchar(40) default NULL,
  speakers varchar(40) default NULL,
  processor varchar(40) default NULL,
  RAM varchar(40) default NULL,
  modem varchar(40) default NULL,
  NIC varchar(40) default NULL,
  other1 varchar(40) default NULL,
  other2 varchar(40) default NULL,
  other3 varchar(40) default NULL,
  notes TEXT default NULL,
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (type_pk)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `peripheral_types`
#

CREATE TABLE peripheral_types (
  peripheral_pk int(11) NOT NULL auto_increment,
  manufacturer varchar(50) default NULL,
  model varchar(50) NOT NULL default '',
  description varchar(70) default NULL,
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (peripheral_pk)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `peripherals`
#

CREATE TABLE peripherals (
  pk_peripheral int(11) NOT NULL auto_increment,
  fk_asset int(11) NOT NULL default '0',
  serial_num varchar(255) NOT NULL default '',
  peripheral_fk int(11) NOT NULL default '0',
  external enum('Y','N') NOT NULL default 'Y',
  sparePart enum('1','0') NOT NULL default '0',
  peripheralStatus enum('n','i','w') NOT NULL default 'w',
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (pk_peripheral)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `software`
#

CREATE TABLE software (
  id int(11) NOT NULL auto_increment,
  serial varchar(255) NOT NULL default '',
  hardware_id int(11) NOT NULL default '0',
  type_id int(11) NOT NULL default '0',
  sparePart enum('1','0') NOT NULL default '0',
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `software_types`
#

CREATE TABLE software_types (
  id int(11) NOT NULL auto_increment,
  Name varchar(50) NOT NULL default '',
  Maker varchar(50) NOT NULL default '',
  Version varchar(20) NOT NULL default '',
  operatingSystem enum('0','1') NOT NULL default '0',
  canBeMoved enum('1','0') NOT NULL default '1',
  licenseType enum('peruser','persystem') default NULL,
  numLicenses int(11) default NULL,
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `tblSecurity`
#

CREATE TABLE tblSecurity (
  id int(11) NOT NULL auto_increment,
  userID varchar(20) default NULL,
  password varchar(100) default NULL,
  firstName varchar(40) NOT NULL default '',
  middleInit char(1) default NULL,
  lastName varchar(40) NOT NULL default '',
  email varchar(50) default NULL,
  securityLevel tinyint(4) NOT NULL default '0',
  lastLogin datetime default NULL,
  accountID int(11) NOT NULL default '1',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

INSERT INTO tblSecurity VALUES (1, 'admin', '5f4dcc3b5aa765d61d8327deb882cf99', 'First', '', 'Last', 'name@address.com', 0, '2002-08-15 12:36:58', 1);
